svn commit: samba r8680 - in branches/SAMBA_4_0/source/script: .

tridge at samba.org tridge at samba.org
Thu Jul 21 12:35:00 GMT 2005


Author: tridge
Date: 2005-07-21 12:35:00 +0000 (Thu, 21 Jul 2005)
New Revision: 8680

WebSVN: http://websvn.samba.org/cgi-bin/viewcvs.cgi?view=rev&root=samba&rev=8680

Log:
try harder to find the binary for gdb in the backtrace

Modified:
   branches/SAMBA_4_0/source/script/gdb_backtrace


Changeset:
Modified: branches/SAMBA_4_0/source/script/gdb_backtrace
===================================================================
--- branches/SAMBA_4_0/source/script/gdb_backtrace	2005-07-21 12:20:18 UTC (rev 8679)
+++ branches/SAMBA_4_0/source/script/gdb_backtrace	2005-07-21 12:35:00 UTC (rev 8680)
@@ -13,5 +13,16 @@
 quit
 EOF
 
+if [ ! -f $PROG ]; then
+    PROG=`which $PROG`
+fi
+if [ ! -f $PROG ]; then
+    PROG=/proc/$PID/exe
+fi
+if [ ! -f $PROG ]; then
+    echo "Unable to find binary"
+    exit 1
+fi
+
 gdb -batch -x $TMPFILE $PROG $PID < /dev/null 
 /bin/rm -f $TMPFILE



More information about the samba-cvs mailing list